#[doc = "Register `INT_EBL` reader"]
pub struct R(crate::R<INT_EBL_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<INT_EBL_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<INT_EBL_SPEC>> for R {
    fn from(reader: crate::R<INT_EBL_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `INT_EBL` writer"]
pub struct W(crate::W<INT_EBL_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<INT_EBL_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<INT_EBL_SPEC>> for W {
    fn from(writer: crate::W<INT_EBL_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `GLOBAL_INT_ENBL` reader - global interrupt enable flag??0?: All interrupts are disabled??1?: Enabled interrupt sources are available"]
pub struct GLOBAL_INT_ENBL_R(crate::FieldReader<bool, bool>);
impl GLOBAL_INT_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        GLOBAL_INT_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for GLOBAL_INT_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `GLOBAL_INT_ENBL` writer - global interrupt enable flag??0?: All interrupts are disabled??1?: Enabled interrupt sources are available"]
pub struct GLOBAL_INT_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> GLOBAL_INT_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x01) | (value as u32 & 0x01);
        self.w
    }
}
#[doc = "Field `ARB_LOSS_ENBL` reader - See description in INT_STATUS"]
pub struct ARB_LOSS_ENBL_R(crate::FieldReader<bool, bool>);
impl ARB_LOSS_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        ARB_LOSS_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for ARB_LOSS_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `ARB_LOSS_ENBL` writer - See description in INT_STATUS"]
pub struct ARB_LOSS_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> ARB_LOSS_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 2)) | ((value as u32 & 0x01) << 2);
        self.w
    }
}
#[doc = "Field `OVR_LOAD_ENBL` reader - See description in INT_STATUS"]
pub struct OVR_LOAD_ENBL_R(crate::FieldReader<bool, bool>);
impl OVR_LOAD_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        OVR_LOAD_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for OVR_LOAD_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `OVR_LOAD_ENBL` writer - See description in INT_STATUS"]
pub struct OVR_LOAD_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> OVR_LOAD_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | ((value as u32 & 0x01) << 3);
        self.w
    }
}
#[doc = "Field `BIT_ERR_ENBL` reader - See description in INT_STATUS"]
pub struct BIT_ERR_ENBL_R(crate::FieldReader<bool, bool>);
impl BIT_ERR_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        BIT_ERR_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for BIT_ERR_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `BIT_ERR_ENBL` writer - See description in INT_STATUS"]
pub struct BIT_ERR_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> BIT_ERR_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 4)) | ((value as u32 & 0x01) << 4);
        self.w
    }
}
#[doc = "Field `STUFF_ERR_ENBL` reader - See description in INT_STATUS"]
pub struct STUFF_ERR_ENBL_R(crate::FieldReader<bool, bool>);
impl STUFF_ERR_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        STUFF_ERR_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for STUFF_ERR_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `STUFF_ERR_ENBL` writer - See description in INT_STATUS"]
pub struct STUFF_ERR_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> STUFF_ERR_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 5)) | ((value as u32 & 0x01) << 5);
        self.w
    }
}
#[doc = "Field `ACK_ERR_ENBL` reader - See description in INT_STATUS"]
pub struct ACK_ERR_ENBL_R(crate::FieldReader<bool, bool>);
impl ACK_ERR_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        ACK_ERR_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for ACK_ERR_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `ACK_ERR_ENBL` writer - See description in INT_STATUS"]
pub struct ACK_ERR_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> ACK_ERR_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 6)) | ((value as u32 & 0x01) << 6);
        self.w
    }
}
#[doc = "Field `FORM_ERR_ENBL` reader - See description in INT_STATUS"]
pub struct FORM_ERR_ENBL_R(crate::FieldReader<bool, bool>);
impl FORM_ERR_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        FORM_ERR_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for FORM_ERR_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `FORM_ERR_ENBL` writer - See description in INT_STATUS"]
pub struct FORM_ERR_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> FORM_ERR_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 7)) | ((value as u32 & 0x01) << 7);
        self.w
    }
}
#[doc = "Field `CRC_ERR_ENBL` reader - See description in INT_STATUS"]
pub struct CRC_ERR_ENBL_R(crate::FieldReader<bool, bool>);
impl CRC_ERR_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        CRC_ERR_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for CRC_ERR_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `CRC_ERR_ENBL` writer - See description in INT_STATUS"]
pub struct CRC_ERR_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> CRC_ERR_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 8)) | ((value as u32 & 0x01) << 8);
        self.w
    }
}
#[doc = "Field `BUS_OFF_ENBL` reader - See description in INT_STATUS"]
pub struct BUS_OFF_ENBL_R(crate::FieldReader<bool, bool>);
impl BUS_OFF_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        BUS_OFF_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for BUS_OFF_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `BUS_OFF_ENBL` writer - See description in INT_STATUS"]
pub struct BUS_OFF_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> BUS_OFF_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 9)) | ((value as u32 & 0x01) << 9);
        self.w
    }
}
#[doc = "Field `RX_MSG_LOSS` reader - See description in INT_STATUS"]
pub struct RX_MSG_LOSS_R(crate::FieldReader<bool, bool>);
impl RX_MSG_LOSS_R {
    pub(crate) fn new(bits: bool) -> Self {
        RX_MSG_LOSS_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for RX_MSG_LOSS_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `RX_MSG_LOSS` writer - See description in INT_STATUS"]
pub struct RX_MSG_LOSS_W<'a> {
    w: &'a mut W,
}
impl<'a> RX_MSG_LOSS_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 10)) | ((value as u32 & 0x01) << 10);
        self.w
    }
}
#[doc = "Field `TX_MSG_ENBL` reader - See description in INT_STATUS"]
pub struct TX_MSG_ENBL_R(crate::FieldReader<bool, bool>);
impl TX_MSG_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        TX_MSG_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for TX_MSG_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `TX_MSG_ENBL` writer - See description in INT_STATUS"]
pub struct TX_MSG_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> TX_MSG_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 11)) | ((value as u32 & 0x01) << 11);
        self.w
    }
}
#[doc = "Field `RX_MSG_ENBl` reader - See description in INT_STATUS"]
pub struct RX_MSG_ENBL_R(crate::FieldReader<bool, bool>);
impl RX_MSG_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        RX_MSG_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for RX_MSG_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `RX_MSG_ENBl` writer - See description in INT_STATUS"]
pub struct RX_MSG_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> RX_MSG_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 12)) | ((value as u32 & 0x01) << 12);
        self.w
    }
}
#[doc = "Field `RTR_MSG_ENBL` reader - See description in INT_STATUS"]
pub struct RTR_MSG_ENBL_R(crate::FieldReader<bool, bool>);
impl RTR_MSG_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        RTR_MSG_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for RTR_MSG_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `RTR_MSG_ENBL` writer - See description in INT_STATUS"]
pub struct RTR_MSG_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> RTR_MSG_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 13)) | ((value as u32 & 0x01) << 13);
        self.w
    }
}
#[doc = "Field `STUCK_AT_0_ENBL` reader - See description in INT_STATUS"]
pub struct STUCK_AT_0_ENBL_R(crate::FieldReader<bool, bool>);
impl STUCK_AT_0_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        STUCK_AT_0_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for STUCK_AT_0_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `STUCK_AT_0_ENBL` writer - See description in INT_STATUS"]
pub struct STUCK_AT_0_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> STUCK_AT_0_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 14)) | ((value as u32 & 0x01) << 14);
        self.w
    }
}
#[doc = "Field `SST_FAILURE_ENBL` reader - See description in INT_STATUS"]
pub struct SST_FAILURE_ENBL_R(crate::FieldReader<bool, bool>);
impl SST_FAILURE_ENBL_R {
    pub(crate) fn new(bits: bool) -> Self {
        SST_FAILURE_ENBL_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for SST_FAILURE_ENBL_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `SST_FAILURE_ENBL` writer - See description in INT_STATUS"]
pub struct SST_FAILURE_ENBL_W<'a> {
    w: &'a mut W,
}
impl<'a> SST_FAILURE_ENBL_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 15)) | ((value as u32 & 0x01) << 15);
        self.w
    }
}
impl R {
    #[doc = "Bit 0 - global interrupt enable flag??0?: All interrupts are disabled??1?: Enabled interrupt sources are available"]
    #[inline(always)]
    pub fn global_int_enbl(&self) -> GLOBAL_INT_ENBL_R {
        GLOBAL_INT_ENBL_R::new((self.bits & 0x01) != 0)
    }
    #[doc = "Bit 2 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn arb_loss_enbl(&self) -> ARB_LOSS_ENBL_R {
        ARB_LOSS_ENBL_R::new(((self.bits >> 2) & 0x01) != 0)
    }
    #[doc = "Bit 3 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn ovr_load_enbl(&self) -> OVR_LOAD_ENBL_R {
        OVR_LOAD_ENBL_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bit 4 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn bit_err_enbl(&self) -> BIT_ERR_ENBL_R {
        BIT_ERR_ENBL_R::new(((self.bits >> 4) & 0x01) != 0)
    }
    #[doc = "Bit 5 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn stuff_err_enbl(&self) -> STUFF_ERR_ENBL_R {
        STUFF_ERR_ENBL_R::new(((self.bits >> 5) & 0x01) != 0)
    }
    #[doc = "Bit 6 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn ack_err_enbl(&self) -> ACK_ERR_ENBL_R {
        ACK_ERR_ENBL_R::new(((self.bits >> 6) & 0x01) != 0)
    }
    #[doc = "Bit 7 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn form_err_enbl(&self) -> FORM_ERR_ENBL_R {
        FORM_ERR_ENBL_R::new(((self.bits >> 7) & 0x01) != 0)
    }
    #[doc = "Bit 8 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn crc_err_enbl(&self) -> CRC_ERR_ENBL_R {
        CRC_ERR_ENBL_R::new(((self.bits >> 8) & 0x01) != 0)
    }
    #[doc = "Bit 9 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn bus_off_enbl(&self) -> BUS_OFF_ENBL_R {
        BUS_OFF_ENBL_R::new(((self.bits >> 9) & 0x01) != 0)
    }
    #[doc = "Bit 10 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rx_msg_loss(&self) -> RX_MSG_LOSS_R {
        RX_MSG_LOSS_R::new(((self.bits >> 10) & 0x01) != 0)
    }
    #[doc = "Bit 11 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn tx_msg_enbl(&self) -> TX_MSG_ENBL_R {
        TX_MSG_ENBL_R::new(((self.bits >> 11) & 0x01) != 0)
    }
    #[doc = "Bit 12 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rx_msg_enbl(&self) -> RX_MSG_ENBL_R {
        RX_MSG_ENBL_R::new(((self.bits >> 12) & 0x01) != 0)
    }
    #[doc = "Bit 13 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rtr_msg_enbl(&self) -> RTR_MSG_ENBL_R {
        RTR_MSG_ENBL_R::new(((self.bits >> 13) & 0x01) != 0)
    }
    #[doc = "Bit 14 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn stuck_at_0_enbl(&self) -> STUCK_AT_0_ENBL_R {
        STUCK_AT_0_ENBL_R::new(((self.bits >> 14) & 0x01) != 0)
    }
    #[doc = "Bit 15 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn sst_failure_enbl(&self) -> SST_FAILURE_ENBL_R {
        SST_FAILURE_ENBL_R::new(((self.bits >> 15) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - global interrupt enable flag??0?: All interrupts are disabled??1?: Enabled interrupt sources are available"]
    #[inline(always)]
    pub fn global_int_enbl(&mut self) -> GLOBAL_INT_ENBL_W {
        GLOBAL_INT_ENBL_W { w: self }
    }
    #[doc = "Bit 2 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn arb_loss_enbl(&mut self) -> ARB_LOSS_ENBL_W {
        ARB_LOSS_ENBL_W { w: self }
    }
    #[doc = "Bit 3 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn ovr_load_enbl(&mut self) -> OVR_LOAD_ENBL_W {
        OVR_LOAD_ENBL_W { w: self }
    }
    #[doc = "Bit 4 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn bit_err_enbl(&mut self) -> BIT_ERR_ENBL_W {
        BIT_ERR_ENBL_W { w: self }
    }
    #[doc = "Bit 5 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn stuff_err_enbl(&mut self) -> STUFF_ERR_ENBL_W {
        STUFF_ERR_ENBL_W { w: self }
    }
    #[doc = "Bit 6 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn ack_err_enbl(&mut self) -> ACK_ERR_ENBL_W {
        ACK_ERR_ENBL_W { w: self }
    }
    #[doc = "Bit 7 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn form_err_enbl(&mut self) -> FORM_ERR_ENBL_W {
        FORM_ERR_ENBL_W { w: self }
    }
    #[doc = "Bit 8 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn crc_err_enbl(&mut self) -> CRC_ERR_ENBL_W {
        CRC_ERR_ENBL_W { w: self }
    }
    #[doc = "Bit 9 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn bus_off_enbl(&mut self) -> BUS_OFF_ENBL_W {
        BUS_OFF_ENBL_W { w: self }
    }
    #[doc = "Bit 10 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rx_msg_loss(&mut self) -> RX_MSG_LOSS_W {
        RX_MSG_LOSS_W { w: self }
    }
    #[doc = "Bit 11 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn tx_msg_enbl(&mut self) -> TX_MSG_ENBL_W {
        TX_MSG_ENBL_W { w: self }
    }
    #[doc = "Bit 12 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rx_msg_enbl(&mut self) -> RX_MSG_ENBL_W {
        RX_MSG_ENBL_W { w: self }
    }
    #[doc = "Bit 13 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn rtr_msg_enbl(&mut self) -> RTR_MSG_ENBL_W {
        RTR_MSG_ENBL_W { w: self }
    }
    #[doc = "Bit 14 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn stuck_at_0_enbl(&mut self) -> STUCK_AT_0_ENBL_W {
        STUCK_AT_0_ENBL_W { w: self }
    }
    #[doc = "Bit 15 - See description in INT_STATUS"]
    #[inline(always)]
    pub fn sst_failure_enbl(&mut self) -> SST_FAILURE_ENBL_W {
        SST_FAILURE_ENBL_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Interrupt Enable\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [int_ebl](index.html) module"]
pub struct INT_EBL_SPEC;
impl crate::RegisterSpec for INT_EBL_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [int_ebl::R](R) reader structure"]
impl crate::Readable for INT_EBL_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [int_ebl::W](W) writer structure"]
impl crate::Writable for INT_EBL_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets INT_EBL to value 0"]
impl crate::Resettable for INT_EBL_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
